diff -Naur kadischi/src/kadischi/livecd_generator/install-boot.sh kadischi.new/src/kadischi/livecd_generator/install-boot.sh
--- kadischi/src/kadischi/livecd_generator/install-boot.sh	2005-08-21 18:09:00.000000000 +0100
+++ kadischi.new/src/kadischi/livecd_generator/install-boot.sh	2006-02-06 17:14:02.630478000 +0100
@@ -3,6 +3,8 @@
 sysdir=$1
 csysdir=$2
 kernel=$3
+kernparam_rhgb=
+[[ rpm -q rhgb --root $sysdir 2>&1 >/dev/null ]] && kernparam_rhgb="rhgb"
 
 cp $sysdir/boot/isolinux/initrd.img $csysdir/boot/isolinux/initrd.img
 cp $sysdir/boot/vmlinuz-$kernel $csysdir/boot/isolinux/vmlinuz
@@ -13,8 +15,8 @@
 timeout 600
 label linux
   kernel vmlinuz
-  append initrd=initrd.img ramdisk_size=10000
+  append initrd=initrd.img ramdisk_size=10000 quiet $kernparam_rhgb
 label test
   kernel vmlinuz
-  append initrd=initrd.img INITRD_DBG=x ramdisk_size=10000
-_EOF_
\ No newline at end of file
+  append initrd=initrd.img INITRD_DBG=x ramdisk_size=10000 $kernparam_rhgb
+_EOF_
